/glossary#
Returns available filter parameters and values for drop down menus.
Endpoint#
POST |
https://hyperion.api.synmax.com/v4/glossary |
Request Examples#
curl -X POST "https://hyperion.api.synmax.com/v4/glossary" \
-H "Content-Type: application/json" \
-H "Access-Key: $API_TOKEN" \
-d '{"target_function": "completions", "filter_type": "region_natgas"}'
from synmax.hyperion.v4 import HyperionApiClient
SYNMAX_ACCESS_TOKEN = "<YOUR_API_TOKEN>"
hyperion_api_client = HyperionApiClient(access_token=SYNMAX_ACCESS_TOKEN)
glossary_resp = hyperion_api_client.glossary(target_function="completions", filter_type="region_natgas")
glossary_df = glossary_resp.df()
glossary_df.head()
# Example of a Windows PowerShell request to the glossary endpoint.
$headers = New-Object "System.Collections.Generic.Dictionary[[String],[String]]"
$headers.Add("access_key", "<YOUR_API_TOKEN>")
$headers.Add("Content-Type", "application/json")
$body = @"
{`"target_function`": `"completions`", `"filter_type`": `"region_natgas`"}
"@
$response = Invoke-RestMethod 'https://hyperion.api.synmax.com/v4/glossary' -Method 'POST' -Headers $headers -Body $body
$response | ConvertTo-Json
Parameters#
Query#
Parameter |
Type |
Description |
Example |
|---|---|---|---|
category |
string array |
The category of the data |
Production |
completion_class |
string array |
Oil/Gas classification based on EIA-defined gas/oil production ratios |
oil |
county |
string array |
The county the well is in |
CAMPBELL |
date_forecast_run |
— |
The date the short term forecast was simulated on in YYYY-MM-DD format |
— |
filter_type |
string |
The type of filter to apply |
— |
frac_class |
string array |
Oil/Gas classification based on EIA-defined gas/oil production ratios |
oil |
operator |
string array |
A well operator |
BILL BARRETT CORPORATION |
produced_basin |
string array |
The basin that the well produces |
HAYNESVILLE BASIN |
produced_formation |
string array |
The formation that the well produces |
JAMES LIME |
region_natgas |
string array |
Region divisions based on natural gas production profiles |
west |
rig_class |
string array |
Oil/Gas classification based on EIA-defined gas/oil production ratios |
oil |
search_term |
string |
The search term to apply |
— |
service_company |
string array |
The name of the service company |
— |
source |
string array |
The source of the data |
— |
state_code |
string array |
An array of state abbreviations |
WY |
sub_region_natgas |
string array |
Subregion divisions based on natural gas production profiles |
Haynesville - TX |
target_function |
string |
The name of the target function |
— |
Response#
Parameter |
Type |
Description |
Example |
|---|---|---|---|
completion_class |
string |
Oil/Gas classification based on EIA-defined gas/oil production ratios |
oil |
county |
string |
The county the well is in |
CAMPBELL |
date_forecast_run |
string |
The date the short term forecast was simulated on in YYYY-MM-DD format |
— |
frac_class |
string |
Oil/Gas classification based on EIA-defined gas/oil production ratios |
oil |
operator |
string |
A well operator |
BILL BARRETT CORPORATION |
produced_formation |
string |
The formation that the well produces in |
JAMES LIME |
region_natgas |
string |
Region divisions based on natural gas production profiles |
west |
rig_class |
string |
Oil/Gas classification based on EIA-defined gas/oil production ratios |
oil |
service_company |
string |
The service company for the well |
— |
state_code |
string |
A state abbreviation |
WY |
sub_region_natgas |
string |
Subregion divisions based on natural gas production profiles |
Haynesville - TX |